Bug 152495 - graphics/djvulibre: make install broken
Summary: graphics/djvulibre: make install broken
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Stanislav Sedov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-22 18:30 UTC by Dmitry Pryanishnikov
Modified: 2010-12-08 08:40 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Pryanishnikov 2010-11-22 18:30:10 UTC
Port graphics/djvulibre (fresh version: 3.5.23) fails during 'make install':

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./  -I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/  -I../../gui/shared/QT/  -I../../gui/shared/res/  -I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor -I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=POSIXTHREADS      -I/usr/local/include -I/usr/local/include  -I/usr/local/include -D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c ./main.cpp
./../gui/bin2cpp/bin2cpp ppm_djvu_logo < ../../gui/shared/cin_data/ppm_djvu_logo.cin > ppm_djvu_logo.cpp
./../gui/bin2cpp/bin2cpp: not found
*** Error code 127

Stop in /usr/obj/usr/ports/graphics/djvulibre/work/djvulibre-3.5.23/gui/djview.
*** Error code 1

All prerequisite ports are up to date. Contents of /etc/make.conf:

WRKDIRPREFIX=  /usr/obj
# added by use.perl 2010-11-10 23:58:40
PERL_VERSION=5.10.1

How-To-Repeat: cd /usr/ports/graphics/djvulibre
make
(deinstall old version if present)
make install
Comment 1 Edwin Groothuis freebsd_committer 2010-11-22 18:31:03 UTC
Responsible Changed
From-To: freebsd-ports-bugs->stas

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Stanislav Sedov freebsd_committer 2010-11-22 19:55:01 UTC
Hi!

Can you, please, show the full log?  For some reason bin2cpp was
not built.

-- 
Stanislav Sedov
ST4096-RIPE

()  ascii ribbon campaign - against html e-mail 
/\  www.asciiribbon.org   - against proprietary attachments
Comment 3 Dmitry Pryanishnikov 2010-11-22 21:11:00 UTC
Hello!

Here it is (make + make install in /usr/ports/graphics/djvulibre):


Script started on Mon Nov 22 23:04:10 2010
root@lynx64# make

=3D=3D=3D>  Vulnerability check disabled, database not found

=3D=3D=3D>  License accepted by the user

=3D=3D=3D>  Extracting for djvulibre-3.5.23

=3D> SHA256 Checksum OK for djvulibre-3.5.23.tar.gz.

=3D=3D=3D>  Patching for djvulibre-3.5.23

=3D=3D=3D>  Applying FreeBSD patches for djvulibre-3.5.23

=3D=3D=3D>   djvulibre-3.5.23 depends on file: /usr/local/bin/moc - found

=3D=3D=3D>   djvulibre-3.5.23 depends on shared library: jpeg.11 - found

=3D=3D=3D>   djvulibre-3.5.23 depends on shared library: tiff.4 - found

=3D=3D=3D>   djvulibre-3.5.23 depends on shared library: djvulibre.23 - fou=
nd

=3D=3D=3D>   djvulibre-3.5.23 depends on shared library: iconv.3 - found

=3D=3D=3D>  Configuring for djvulibre-3.5.23

configure: WARNING: unrecognized options: --with-qt-includes,
--with-qt-libraries, --with-extra-libs

checking build system type... amd64-portbld-freebsd8.1

checking host system type... amd64-portbld-freebsd8.1

checking whether make sets $(MAKE)... yes

checking whether ln -s works... yes

checking for ar... /usr/bin/ar

checking for touch... /usr/bin/touch

checking for mkdir... /bin/mkdir

checking for rsvg... false

checking for convert... false

checking for a BSD-compatible install... /usr/bin/install -c -o root -g whe=
el

checking for rm... /bin/rm

checking for ranlib... ranlib

checking for gcc... cc

checking whether the C compiler works... yes

checking for C compiler default output file name... a.out

checking for suffix of executables...

checking whether we are cross compiling... no

checking for suffix of object files... o

checking whether we are using the GNU C compiler... yes

checking whether cc accepts -g... yes

checking for cc option to accept ISO C89... none needed

checking for a sed that does not truncate output... /usr/bin/sed

checking for grep that handles long lines and -e... /usr/bin/grep

checking for egrep... /usr/bin/grep -E

checking for fgrep... /usr/bin/grep -F

checking for ld used by cc... /usr/bin/ld

checking if the linker (/usr/bin/ld) is GNU ld... yes

checking for BSD- or MS-compatible name lister (nm)... /usr/bin/nm -B

checking the name lister (/usr/bin/nm -B) interface... BSD nm

checking the maximum length of command line arguments... (cached) 262144

checking whether the shell understands some XSI constructs... yes

checking whether the shell understands "+=3D"... no

checking for /usr/bin/ld option to reload object files... -r

checking for objdump... objdump

checking how to recognize dependent libraries... pass_all

checking for ar... /usr/bin/ar

checking for strip... strip

checking for ranlib... (cached) ranlib

checking command to parse /usr/bin/nm -B output from cc object... ok

checking how to run the C preprocessor... cpp

checking for ANSI C header files... yes

checking for sys/types.h... yes

checking for sys/stat.h... yes

checking for stdlib.h... yes

checking for string.h... yes

checking for memory.h... yes

checking for strings.h... yes

checking for inttypes.h... yes

checking for stdint.h... yes

checking for unistd.h... yes

checking for dlfcn.h... yes

checking for objdir... .libs

checking if cc supports -fno-rtti -fno-exceptions... no

checking for cc option to produce PIC... -fPIC -DPIC

checking if cc PIC flag -fPIC -DPIC works... yes

checking if cc static flag -static works... yes

checking if cc supports -c -o file.o... yes

checking if cc supports -c -o file.o... (cached) yes

checking whether the cc linker (/usr/bin/ld) supports shared libraries... y=
es

checking whether -lc should be explicitly linked in... no

checking dynamic linker characteristics... freebsd8.1 ld.so

checking how to hardcode library paths into programs... immediate

checking whether stripping libraries is possible... yes

checking if libtool supports shared libraries... yes

checking whether to build shared libraries... yes

checking whether to build static libraries... no

checking for gcc... (cached) cc

checking whether we are using the GNU C compiler... (cached) yes

checking whether cc accepts -g... (cached) yes

checking for cc option to accept ISO C89... (cached) none needed

checking whether we are using the GNU C++ compiler... yes

checking whether c++ accepts -g... yes

checking whether we are using the GNU C++ compiler... (cached) yes

checking whether c++ accepts -g... (cached) yes

checking how to run the C++ preprocessor... c++ -E

checking for ld used by c++... /usr/bin/ld

checking if the linker (/usr/bin/ld) is GNU ld... yes

checking whether the c++ linker (/usr/bin/ld) supports shared libraries... =
yes

checking for c++ option to produce PIC... -fPIC -DPIC

checking if c++ PIC flag -fPIC -DPIC works... yes

checking if c++ static flag -static works... yes

checking if c++ supports -c -o file.o... yes

checking if c++ supports -c -o file.o... (cached) yes

checking whether the c++ linker (/usr/bin/ld) supports shared libraries... =
yes

checking dynamic linker characteristics... freebsd8.1 ld.so

checking how to hardcode library paths into programs... immediate

checking if c++ accepts -Wall... yes

checking if c++ accepts -O3... yes

checking if c++ accepts -Wno-non-virtual-dtor... yes

checking whether the compiler recognizes bool as a built-in type... yes

checking whether the compiler supports exceptions... yes

checking whether the compiler recognizes typename... yes

checking whether the compiler comes with standard includes... yes

checking whether the compiler implements namespaces... yes

checking whether the compiler supports member templates... yes

checking whether the compiler supports intel atomic builtins... yes

checking for sqrt in -lm... yes

checking for ANSI C header files... (cached) yes

checking for dirent.h that defines DIR... yes

checking for library containing opendir... none required

checking whether time.h and sys/time.h may both be included... yes

checking for sys/wait.h that is POSIX.1 compatible... yes

checking wchar.h usability... yes

checking wchar.h presence... yes

checking for wchar.h... yes

checking wctype.h usability... yes

checking wctype.h presence... yes

checking for wctype.h... yes

checking sys/mman.h usability... yes

checking sys/mman.h presence... yes

checking for sys/mman.h... yes

checking iconv.h usability... yes

checking iconv.h presence... yes

checking for iconv.h... yes

checking for stdint.h... (cached) yes

checking for inttypes.h... (cached) yes

checking sys/ipc.h usability... yes

checking sys/ipc.h presence... yes

checking for sys/ipc.h... yes

checking sys/shm.h usability... yes

checking sys/shm.h presence... yes

checking for sys/shm.h... yes

checking for int16_t... yes

checking for int32_t... yes

checking for uint16_t... yes

checking for uint32_t... yes

checking for wchar_t... yes

checking for long long int... yes

checking for mbstate_t... yes

checking for special C compiler options needed for large files... no

checking for _FILE_OFFSET_BITS value needed for large files... no

checking for stdlib.h... (cached) yes

checking for unistd.h... (cached) yes

checking for sys/param.h... yes

checking for getpagesize... yes

checking for working mmap... yes

checking for pid_t... yes

checking vfork.h usability... no

checking vfork.h presence... no

checking for vfork.h... no

checking for fork... yes

checking for vfork... yes

checking for working fork... yes

checking for working vfork... (cached) yes

checking for _LARGEFILE_SOURCE value needed for large files... no

checking for wcrtomb... yes

checking for iswspace... yes

checking for setenv... yes

checking for putc_unlocked... yes

checking for strerror... yes

checking for vsnprintf... yes

checking for gethostname... yes

checking for strftime... yes

checking for getpwuid... yes

checking for sigaction... yes

checking for mkstemp... yes

checking for iconv... no

checking for jpeg library... yes

setting JPEG_CFLAGS=3D-I/usr/local/include

setting JPEG_LIBS=3D-L/usr/local/lib -ljpeg

checking for the libtiff library... yes

setting TIFF_CFLAGS=3D-I/usr/local/include

setting TIFF_LIBS=3D-L/usr/local/lib -ltiff

checking pthread.h usability... yes

checking pthread.h presence... yes

checking for pthread.h... yes

checking provided PTHREAD_LIBS/PTHREAD_CFLAGS.... yes

checking if more special flags are required for pthreads... -D_THREAD_SAFE

checking threading model... pthread

setting THREAD_CFLAGS=3D-D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS

setting THREAD_LIBS=3D-pthread

checking for xdg-mime... no

checking for xdg-icon-resource... no

checking for xdg-desktop-menu... no

checking if c++ has the LPR0 bug... no

checking g++ version... 4.2.1

configure: creating ./config.status

config.status: creating Makefile

config.status: creating libdjvu/Makefile

config.status: creating libdjvu/ddjvuapi.pc

config.status: creating tools/Makefile

config.status: creating tools/jb2cmp/Makefile

config.status: creating xmltools/Makefile

config.status: creating gui/Makefile

config.status: creating gui/bin2cpp/Makefile

config.status: creating gui/djview/Makefile

config.status: creating gui/nsdejavu/Makefile

config.status: creating i18n/Makefile

config.status: creating i18n/ja/Makefile

config.status: creating i18n/de/Makefile

config.status: creating i18n/fr/Makefile

config.status: creating i18n/cs/Makefile

config.status: creating desktopfiles/Makefile

config.status: creating config.h

config.status: executing libtool commands

configure: WARNING: unrecognized options: --with-qt-includes,
--with-qt-libraries, --with-extra-libs



Configuration is done.

Compile with command:

    $ make depend     (optional!)

    $ make

Then install the binaries in /usr/local with command:

    # make install

=3D=3D=3D>  Building for djvulibre-3.5.23

for d in     i18n  desktopfiles ;  do ( cd $d && make all ) || exit ; done

for d in cs de fr ja ; do  ( cd $d && make LANGCODE=3D$d all ) || exit ; do=
ne

s=3D`echo hi22-djvu.png | sed -e 's/[a-z]*\([0-9]*\).*/\1/'`;  false -w
${s} -h ${s}  hi22-djvu.png  || false -geometry ${s}x${s} -depth 8
-background none  hi22-djvu.png  || cp ./prebuilt-hi22-djvu.png
hi22-djvu.png

s=3D`echo hi32-djvu.png | sed -e 's/[a-z]*\([0-9]*\).*/\1/'`;  false -w
${s} -h ${s}  hi32-djvu.png  || false -geometry ${s}x${s} -depth 8
-background none  hi32-djvu.png  || cp ./prebuilt-hi32-djvu.png
hi32-djvu.png

s=3D`echo hi48-djvu.png | sed -e 's/[a-z]*\([0-9]*\).*/\1/'`;  false -w
${s} -h ${s}  hi48-djvu.png  || false -geometry ${s}x${s} -depth 8
-background none  hi48-djvu.png  || cp ./prebuilt-hi48-djvu.png
hi48-djvu.png

s=3D`echo hi64-djvu.png | sed -e 's/[a-z]*\([0-9]*\).*/\1/'`;  false -w
${s} -h ${s}  hi64-djvu.png  || false -geometry ${s}x${s} -depth 8
-background none  hi64-djvu.png  || cp ./prebuilt-hi64-djvu.png
hi64-djvu.png

cat djvu.svg | gzip >hi-djvu.svgz

sed < ./register-djvu-mime.in > register-djvu-mime  -e 's,XDG_MIME,,g'
 -e 's,XDG_ICON_RESOURCE,,g'  -e 's,XDG_DESKTOP_MENU,,g'  -e
's,DATADIR,/usr/local/share,g'  -e
's,MYDIR,/usr/local/share/djvu/osi/desktop,g'

chmod a+x register-djvu-mime

root@lynx64# make install

=3D=3D=3D>  Installing for djvulibre-3.5.23

=3D=3D=3D>   djvulibre-3.5.23 depends on file: /usr/local/bin/moc - found

=3D=3D=3D>   djvulibre-3.5.23 depends on shared library: jpeg.11 - found

=3D=3D=3D>   djvulibre-3.5.23 depends on shared library: tiff.4 - found

=3D=3D=3D>   djvulibre-3.5.23 depends on shared library: djvulibre.23 - fou=
nd

=3D=3D=3D>   djvulibre-3.5.23 depends on shared library: iconv.3 - found

=3D=3D=3D>   Generating temporary packing list

=3D=3D=3D>  Checking if graphics/djvulibre already installed

( cd gui && make install )

for d in bin2cpp djview nsdejavu ; do ( cd $d && make install ) || exit ; d=
one

/usr/local/bin/moc ../../gui/indep/QX/qx_imager.cpp -o qx_imager_moc.inc

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
../../gui/indep/QX/qx_imager.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
../../gui/indep/QX/qxlib.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
../../gui/indep/QT/qt_imager.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
../../gui/indep/QT/qt_painter.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
../../gui/indep/QT/qlib.cpp

/usr/local/bin/moc ../../gui/indep/QT/qlib.h -o qlib_moc.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
qlib_moc.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
../../gui/indep/utils/col_db.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
../../gui/indep/utils/execdir.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
../../gui/indep/utils/cin_data.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
../../gui/shared/QT/qd_wpaper.cpp

/usr/local/bin/moc ../../gui/shared/QT/qd_wpaper.h -o qd_wpaper_moc.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
qd_wpaper_moc.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
../../gui/shared/QT/qd_prefs.cpp

/usr/local/bin/moc ../../gui/shared/QT/qd_prefs.h -o qd_prefs_moc.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
qd_prefs_moc.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
../../gui/shared/QT/qd_welcome.cpp

/usr/local/bin/moc ../../gui/shared/QT/qd_welcome.h -o qd_welcome_moc.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
qd_welcome_moc.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
../../gui/shared/QT/qd_pane.cpp

/usr/local/bin/moc ../../gui/shared/QT/qd_pane.h -o qd_pane_moc.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
qd_pane_moc.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
../../gui/shared/QT/qd_base.cpp

/usr/local/bin/moc ../../gui/shared/QT/qd_base.h -o qd_base_moc.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
qd_base_moc.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
../../gui/shared/QT/qd_base_paint.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
../../gui/shared/QT/qd_base_events.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
../../gui/shared/QT/qd_base_ant.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
../../gui/shared/QT/MapAreas.cpp

/usr/local/bin/moc ../../gui/shared/QT/MapAreas.h -o MapAreas_moc.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
MapAreas_moc.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
../../gui/shared/QT/MapBorder.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
../../gui/shared/QT/MapDraw.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
../../gui/shared/QT/qd_painter.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
../../gui/shared/QT/qd_doc_info.cpp

/usr/local/bin/moc ../../gui/shared/QT/qd_doc_info.h -o qd_doc_info_moc.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
qd_doc_info_moc.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
../../gui/shared/QT/qd_nav_goto_page.cpp

/usr/local/bin/moc ../../gui/shared/QT/qd_nav_goto_page.h -o
qd_nav_goto_page_moc.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
qd_nav_goto_page_moc.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
../../gui/shared/QT/qd_set_zoom.cpp

/usr/local/bin/moc ../../gui/shared/QT/qd_set_zoom.h -o qd_set_zoom_moc.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
qd_set_zoom_moc.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
../../gui/shared/QT/qd_port.cpp

/usr/local/bin/moc ../../gui/shared/QT/qd_port.h -o qd_port_moc.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
qd_port_moc.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
../../gui/shared/QT/qd_decoder.cpp

/usr/local/bin/moc ../../gui/shared/QT/qd_decoder.h -o qd_decoder_moc.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
qd_decoder_moc.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
../../gui/shared/QT/qd_toolbutt.cpp

/usr/local/bin/moc ../../gui/shared/QT/qd_toolbutt.h -o qd_toolbutt_moc.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
qd_toolbutt_moc.cpp

/usr/local/bin/moc ../../gui/shared/QT/qd_doc_saver.cpp -o qd_doc_saver_moc=
.inc

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
../../gui/shared/QT/qd_doc_saver.cpp

/usr/local/bin/moc ../../gui/shared/QT/qd_doc_saver.h -o qd_doc_saver_moc.c=
pp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
qd_doc_saver_moc.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
../../gui/shared/QT/qd_thumb.cpp

/usr/local/bin/moc ../../gui/shared/QT/qd_thumb.h -o qd_thumb_moc.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
qd_thumb_moc.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
../../gui/shared/QT/qd_search_dialog.cpp

/usr/local/bin/moc ../../gui/shared/QT/qd_search_dialog.h -o
qd_search_dialog_moc.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
qd_search_dialog_moc.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
../../gui/shared/QT/qd_print_dialog.cpp

/usr/local/bin/moc ../../gui/shared/QT/qd_print_dialog.h -o
qd_print_dialog_moc.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
qd_print_dialog_moc.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
../../gui/shared/QT/init_qt.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
../../gui/shared/QT/qd_messenger.cpp

/usr/local/bin/moc ../../gui/shared/QT/qd_messenger.h -o qd_messenger_moc.c=
pp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
qd_messenger_moc.cpp

/usr/local/bin/moc ../../gui/shared/QT/qd_toolbar.cpp -o qd_toolbar_moc.inc

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
../../gui/shared/QT/qd_toolbar.cpp

/usr/local/bin/moc ../../gui/shared/QT/qd_toolbar.h -o qd_toolbar_moc.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
qd_toolbar_moc.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
../../gui/shared/QT/qd_tbar_mode_piece.cpp

/usr/local/bin/moc ../../gui/shared/QT/qd_tbar_mode_piece.h -o
qd_tbar_mode_piece_moc.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
qd_tbar_mode_piece_moc.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
../../gui/shared/QT/qd_tbar_nav_piece.cpp

/usr/local/bin/moc ../../gui/shared/QT/qd_tbar_nav_piece.h -o
qd_tbar_nav_piece_moc.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
qd_tbar_nav_piece_moc.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
../../gui/shared/QT/qd_tbar_print_piece.cpp

/usr/local/bin/moc ../../gui/shared/QT/qd_tbar_print_piece.h -o
qd_tbar_print_piece_moc.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
qd_tbar_print_piece_moc.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
../../gui/shared/QT/qd_tbar_rotate_piece.cpp

/usr/local/bin/moc ../../gui/shared/QT/qd_tbar_rotate_piece.h -o
qd_tbar_rotate_piece_moc.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
qd_tbar_rotate_piece_moc.cpp

/usr/local/bin/moc ../../gui/shared/QT/qd_page_saver.cpp -o
qd_page_saver_moc.inc

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
../../gui/shared/QT/qd_page_saver.cpp

/usr/local/bin/moc ../../gui/shared/QT/qd_thr_yielder.cpp -o
qd_thr_yielder_moc.inc

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
../../gui/shared/QT/qd_thr_yielder.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
../../gui/shared/utils/GMarginCache.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
../../gui/shared/utils/djvu_file_cache.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
../../gui/shared/utils/io.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
../../gui/shared/utils/prefs.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
../../gui/shared/utils/mime_utils.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
../../gui/shared/res/saved_data.cpp

/usr/local/bin/moc ./netscape.cpp -o netscape_moc.inc

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
./netscape.cpp

/usr/local/bin/moc ./dispatch.cpp -o dispatch_moc.inc

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
./dispatch.cpp

/usr/local/bin/moc ./mime_check.cpp -o mime_check_moc.inc

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
./mime_check.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
./qd_viewer.cpp

/usr/local/bin/moc ./qd_viewer.h -o qd_viewer_moc.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
qd_viewer_moc.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
./qd_viewer_shell.cpp

/usr/local/bin/moc ./qd_viewer_shell.h -o qd_viewer_shell_moc.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
qd_viewer_shell_moc.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
./qd_viewer_prefs.cpp

/usr/local/bin/moc ./qd_viewer_prefs.h -o qd_viewer_prefs_moc.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
qd_viewer_prefs_moc.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
./qd_viewer_menu.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
./djvu_viewer.cpp

/usr/local/bin/moc ./djvu_viewer.h -o djvu_viewer_moc.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
djvu_viewer_moc.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
./qd_mime_dialog.cpp

/usr/local/bin/moc ./qd_mime_dialog.h -o qd_mime_dialog_moc.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
qd_mime_dialog_moc.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
./qd_about_dialog.cpp

/usr/local/bin/moc ./qd_about_dialog.h -o qd_about_dialog_moc.cpp

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
qd_about_dialog_moc.cpp

/usr/local/bin/moc ./main.cpp -o main_moc.inc

c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./
-I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/
 -I../../gui/shared/QT/  -I../../gui/shared/res/
-I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor
-I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=3DPOSIXTHREADS
-I/usr/local/include -I/usr/local/include  -I/usr/local/include
-D_GETOPT_H -I/usr/local/include  -O2 -pipe -fno-strict-aliasing -c
./main.cpp

../../gui/bin2cpp/bin2cpp ppm_djvu_logo <
../../gui/shared/cin_data/ppm_djvu_logo.cin > ppm_djvu_logo.cpp

../../gui/bin2cpp/bin2cpp: not found

*** Error code 127



Stop in /usr/obj/usr/ports/graphics/djvulibre/work/djvulibre-3.5.23/gui/djv=
iew.

*** Error code 1



Stop in /usr/obj/usr/ports/graphics/djvulibre/work/djvulibre-3.5.23/gui.

*** Error code 1



Stop in /usr/obj/usr/ports/graphics/djvulibre/work/djvulibre-3.5.23.

*** Error code 1



Stop in /usr/ports/graphics/djvulibre.

root@lynx64# exit


Script done on Mon Nov 22 23:07:37 2010




2010/11/22 Stanislav Sedov <stas@freebsd.org>:
> Hi!
>
> Can you, please, show the full log? =A0For some reason bin2cpp was
> not built.
>
> --
> Stanislav Sedov
> ST4096-RIPE
>
> () =A0ascii ribbon campaign - against html e-mail
> /\ =A0www.asciiribbon.org =A0 - against proprietary attachments
>



--=20
Sincerely, Dmitry
nic-hdl: LYNX-RIPE
Comment 4 dfilter service freebsd_committer 2010-11-30 20:15:25 UTC
stas        2010-11-30 20:15:20 UTC

  FreeBSD ports repository

  Modified files:
    graphics/djvulibre   Makefile 
  Log:
  - Fix build.
  
  PR:             ports/138477,   ports/152495
  
  Revision  Changes    Path
  1.70      +2 -1      ports/graphics/djvulibre/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Stanislav Sedov freebsd_committer 2010-12-04 21:21:05 UTC
State Changed
From-To: open->closed

Fixed.
Comment 6 Dmitry Pryanishnikov 2010-12-08 08:34:25 UTC
Hello!

  Unfortunately, the last port revision (2010-11-30 20:15:20) doesn't
fix the problem for me. I've removed and re-fetched via csup
the complete ports tree (on 2010-12-08 approx. near 00:00 UTC), and
then rebuilt the port in the jail w/o any installed ports - the
problem persists (bin2cpp: not found). Here is the complete build log:

http://sites.google.com/site/lynxripe/freebsd/pr/152495/djvulibre_20101208_0940.txt?attredirects=0&d=1

-- 
Sincerely, Dmitry
nic-hdl: LYNX-RIPE